package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 关怀类型(1.生日关怀,2.入职周年关怀)枚举类
*
* @author zxfei
*/
public enum CareTypeEnum {
    生日关怀(1, "生日关怀"),
    入职周年关怀(2, "入职周年关怀");
    private Integer value;
    private String desc;

    CareTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static CareTypeEnum getByValue(Integer value) {
        for (CareTypeEnum careTypeEnum : CareTypeEnum.values()) {
            if (careTypeEnum.getValue() == value) {
                return careTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (CareTypeEnum item : CareTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}